Subject: rpm 4.0.2 Build Problem (was Re: Installing Berkeley DB 3.2.9)
From: Jason Tishler <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 13 Jul 2001 13:01:49 -0400

Chuck,

On Thu, Jul 12, 2001 at 08:28:12PM -0400, Charles S. Wilson wrote:
> Jason Tishler wrote:
> > Now, if I could just get rpm 4.0.2 to build with it.  Sigh...
> 
> Hmm.  Well that's a bummer.

It is probably some bone-headed thing that I'm doing or not doing.
Nevertheless, Berkeley DB 3.2.9 make install does not seem to produce
the installation structure that I have found on one of our Linux boxes.
Do people routinely postprocess what is produced by make install?
Note that the current version does the same thing that your 2.7.7 did.

Unfortunately, the rpm source has hardcoded constructs such as:

    #include <db3/db.h>

I was able to workaround this problem with mkdirs and symlinks, but I did
this after configure.  Possibly by not having the environment "correct"
before I ran configure caused rpm to configure itself improperly.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/